
TYPO3.Flow - Bug # 34170

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: I18n
Created: 2012-02-22 Assigned To: Karsten Dambekalns
Updated: 2012-02-24 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: XLIFF models are created with wrong locale
Description

If a translation is requested but no (exact) match is found, a different locale may take effect (e.g. en instead of en_UK). The XLIFF
model created will refer to the en XLIFF file, but claim it's locale is en_UK. This leads to further problems with translations (like missing
labels if no target elements are present in XLIFF files).

Associated revisions
Revision b24339c9 - 2012-02-23 17:08 - Karsten Dambekalns

[BUGFIX] Fixes wrong locale in XLIFF models

If a translation is requested but no (exact) match is found,
a different locale may take effect (e.g. en instead of en_UK).

The XLIFF model created will refer to the en XLIFF file, but
claim it's locale is en_UK. This leads to further problems
with translations (like missing labels if no target elements
are present in XLIFF files).

This change fixes that…

Change-Id: I2f2c3d0ba23260299a3bc4397d7d8ad9021a5b36
Fixes: #34170
Releases: 1.1

History
#1 - 2012-02-22 13:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9148

#2 - 2012-02-23 12:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9148
#3 - 2012-02-23 17:02 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9148

#4 - 2012-02-23 17:08 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9148

#5 - 2012-02-24 02:43 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b24339c953375fc738fca7ad364af78c558186b2.
